package carreras;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;

import javax.imageio.ImageIO;
import javax.swing.JPanel;

public final class Circuito extends JPanel implements Runnable{
	
	private BufferedImage tortuga;
	private int x;
	private Color colorFondo;
	private int tiempo;
	
	public Circuito(int tiempo) {
		this.tiempo = tiempo;
		x = 680;
		colorFondo = this.getBackground();
		setPreferredSize(new Dimension(800, 140));
		try {
			tortuga = ImageIO.read(new File("imagenes/tortuga.png"));
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}
	
	@Override
    public void paint(Graphics g) {
		g.setColor(colorFondo); //Nos aseguramos de "pintar" con el color actual del fondo del panel
		g.fillRect(x+10, 0, 120, 120); //Borra la tortuga en la posicion anterior antes de repintar en la nueva posicion
        g.drawImage(tortuga, x, 0, 120, 120, null);
    }

	@Override
	public void run() {
		while (x > 0)
		{
			x-=10;
			repaint();
			try {
				Thread.sleep(tiempo);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
		
	}    

}
